Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.robotinterfaces
Interface IPaintRobot

All Superinterfaces:
  IBasicRobot

All Known Implementing Classes:
  _AdvancedRadiansRobot, _AdvancedRobot, AdvancedRobot, RateControlRobot, Robot, TeamRobot

    public interface IPaintRobot

extends IBasicRobot

A robot interface that makes it possible for a robot to receive paint events.

Since:
  1.6
Author:
  Pavel Savara (original), Flemming N. Larsen (javadoc)

Method Summary
`IPaintEvents` | `getPaintEventListener()` This method is called by the game to notify this robot about painting events.

Methods inherited from interface robocode.robotinterfaces.IBasicRobot
`getBasicEventListener, getRobotRunnable, setOut, setPeer`

Method Detail

### getPaintEventListener

    IPaintEvents getPaintEventListener()

  This method is called by the game to notify this robot about painting events. Hence, this method must be implemented so it returns your `IPaintEvents` listener.

  Returns:
    listener to paint events or `null` if this robot should not receive the notifications.
  Since:
    1.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.